Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 595236 - [abrt] crash in compiz-0.8.6-1.fc13: dri_get_buffers: Process /usr/bin/compiz was killed by signal 11 (SIGSEGV)
Summary: [abrt] crash in compiz-0.8.6-1.fc13: dri_get_buffers: Process /usr/bin/compiz...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:d34c8fd42f18056d09112a451ac...
: 584992 595895 597428 601911 602558 604849 606685 608220 608301 608986 610781 611212 611565 613808 614586 614607 615166 615167 615168 616994 617451 618109 618989 625253 626290 632569 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-24 07:33 UTC by Alfred Zastrow
Modified: 2011-06-27 16:36 UTC (History)
31 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 16:36:09 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2010-05-24 07:33 UTC, Alfred Zastrow
no flags Details
X server config file (deleted)
2010-06-08 05:49 UTC, seby
no flags Details
Output of dmesg (deleted)
2010-06-08 05:51 UTC, seby
no flags Details
Xorg logs (deleted)
2010-06-08 05:52 UTC, seby
no flags Details
Xorg logs (deleted)
2010-06-08 05:57 UTC, seby
no flags Details
Xorg logs (deleted)
2010-06-08 05:59 UTC, seby
no flags Details
Xorg logs (deleted)
2010-06-08 06:00 UTC, seby
no flags Details

Description Alfred Zastrow 2010-05-24 07:33:11 UTC
abrt 1.1.0 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: compiz --ignore-desktop-hints ccp
comment: I resized a window by pointing to the right corner at the bottom side and tried to enlarge the window 
component: compiz
crash_function: dri_get_buffers
executable: /usr/bin/compiz
global_uuid: d34c8fd42f18056d09112a451acef9f5333345a7
kernel: 2.6.33.4-95.fc13.x86_64
package: compiz-0.8.6-1.fc13
rating: 4
reason: Process /usr/bin/compiz was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. by resizing (enlarging) a window
2.
3.

Comment 1 Alfred Zastrow 2010-05-24 07:33:15 UTC
Created attachment 416045 [details]
File: backtrace

Comment 2 Frederik Hertzum 2010-05-26 19:55:46 UTC
Package: compiz-0.8.6-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Unknown (damn this a poor bug report).
2.
3.


Comment
-----
I didn't do anything special.

Comment 3 Alfred Zastrow 2010-05-27 16:26:38 UTC
Some additional infortmations. The instability seems to depend on the sreen size. I have two identical comuters with 9300 onboard chips on and the the one with 1450x1050 srceen crashes not that fast as the one with 1920x1200 screen. But by moving the right lower corner of a random window some times around to resize the windows compiz crashes with a 100% realibility.

Comment 4 Alfred Zastrow 2010-05-29 07:41:16 UTC
It seems that this problem is gone after todays updates (incl. updates-testing) I'm not able to repro the failure

Comment 5 Gerard Ryan 2010-05-31 00:32:04 UTC
Package: compiz-0.8.6-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. 2 applications running in 'workspace 2'
2. launch nautilus (home folder) in 'workspace 1' and try to resize window
3. fail. :(

Comment 6 seby 2010-05-31 06:24:45 UTC
Package: compiz-0.8.6-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
I was just reading a PDF and the error appeared out of the blue.

Comment 7 seby 2010-05-31 06:31:00 UTC
Actually, it appeared when I resized the window.

Comment 8 Sanne Grinovero 2010-06-02 17:27:24 UTC
Package: compiz-0.8.6-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. enable gallium 3d (nouveau)
2. restart the system
3. after the login I got this error, and I'm typing this without proper window borders. keboard shortcuts as alt+tab also don't work.


Comment
-----
was a fresh installation of Fedora, just added some packages from standard repositories and run a full yum update.

Comment 9 Jhonny Oliveira 2010-06-03 10:58:40 UTC
Package: compiz-0.8.6-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. I was resizing empathuy main window.
2.
3.

Comment 10 Jeff Raber 2010-06-08 02:49:54 UTC
*** Bug 595895 has been marked as a duplicate of this bug. ***

Comment 11 Jeff Raber 2010-06-08 02:51:26 UTC
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available), output of the dmesg command, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 12 seby 2010-06-08 05:49:55 UTC
Created attachment 422039 [details]
X server config file

Requested by Jeff Raber

Comment 13 seby 2010-06-08 05:51:10 UTC
Created attachment 422040 [details]
Output of dmesg

Requested by Jeff Raber

Comment 14 seby 2010-06-08 05:52:51 UTC
Created attachment 422042 [details]
Xorg logs

Requested by Jeff Raber

Comment 15 seby 2010-06-08 05:57:58 UTC
Created attachment 422045 [details]
Xorg logs

Requested by Jeff Raber

Comment 16 seby 2010-06-08 05:59:04 UTC
Created attachment 422047 [details]
Xorg logs

Requested by Jeff Raber

Comment 17 seby 2010-06-08 06:00:02 UTC
Created attachment 422049 [details]
Xorg logs

Requested by Jeff Raber

Comment 18 Phil Hale 2010-06-16 22:16:22 UTC
Package: compiz-0.8.6-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Using standard desktop effects with nouveau enabled 3D.
2. Compiz crashes.  
3. Can restart from System->Preferences->Desktop Effects


Comment
-----
Working with latest Compiz in channel and Nouveau 3D.

Comment 19 Jeff Raber 2010-06-16 22:33:48 UTC
*** Bug 597428 has been marked as a duplicate of this bug. ***

Comment 20 Jeff Raber 2010-06-16 22:37:07 UTC
*** Bug 602558 has been marked as a duplicate of this bug. ***

Comment 21 Jeff Raber 2010-06-16 22:37:14 UTC
*** Bug 604849 has been marked as a duplicate of this bug. ***

Comment 22 Jeff Raber 2010-06-16 22:37:40 UTC
*** Bug 601911 has been marked as a duplicate of this bug. ***

Comment 23 Jeff Raber 2010-06-16 22:39:01 UTC
Everyone: Please comment with the output of 'lspci -nn|grep VGA'.  This is extremely helpful to determine if the issue is specific to certain make/model of card.

Also, I am reassigning this bug to mesa.

Comment 24 chrys87 2010-06-16 23:47:36 UTC
The output of lspci -nn|grep VGA is:
xxxxx@xxxx-pc:~/Desktop$ lspci -nn|grep VGA
05:00.0 VGA compatible controller [0300]: nVidia Corporation NV43 [GeForce 6600 GT] [10de:0140] (rev a2)

I hope this will help you :).

Comment 25 David Alan Hjelle 2010-06-17 13:25:42 UTC
$ lspci -nn|grep VGA
04:00.0 VGA compatible controller [0300]: nVidia Corporation GT216 [GeForce GT 220] [10de:0a20] (rev a2)

Comment 26 Jeff Raber 2010-06-24 05:02:55 UTC
*** Bug 584992 has been marked as a duplicate of this bug. ***

Comment 27 Jeff Raber 2010-06-24 05:03:31 UTC
*** Bug 606685 has been marked as a duplicate of this bug. ***

Comment 28 Adel Gadllah 2010-07-04 10:04:50 UTC
*** Bug 611212 has been marked as a duplicate of this bug. ***

Comment 29 Adel Gadllah 2010-07-04 10:05:07 UTC
*** Bug 610781 has been marked as a duplicate of this bug. ***

Comment 30 Adel Gadllah 2010-07-04 10:05:24 UTC
*** Bug 608986 has been marked as a duplicate of this bug. ***

Comment 31 Adel Gadllah 2010-07-04 10:05:39 UTC
*** Bug 608301 has been marked as a duplicate of this bug. ***

Comment 32 Adel Gadllah 2010-07-04 10:05:55 UTC
*** Bug 608220 has been marked as a duplicate of this bug. ***

Comment 33 Adel Gadllah 2010-07-06 06:54:02 UTC
*** Bug 611565 has been marked as a duplicate of this bug. ***

Comment 34 Matteo Cafarotti 2010-07-12 17:44:47 UTC
Package: compiz-0.8.6-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.simply resizing a window
2.
3.

Comment 35 hoofadoo 2010-07-27 17:33:07 UTC
Package: compiz-0.8.6-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.resized firefox window on the right side
2.
3.


Comment
-----
it doesnt happen all the time. just random

Comment 36 mariolinux 2010-07-31 10:01:48 UTC
Package: compiz-0.8.6-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. I was enlarging the window of the Devhelp documentation.
2.
3.

Comment 37 Hamidou Dia 2010-09-13 15:37:40 UTC
*** Bug 613808 has been marked as a duplicate of this bug. ***

Comment 38 Hamidou Dia 2010-09-13 15:46:25 UTC
*** Bug 614586 has been marked as a duplicate of this bug. ***

Comment 39 Hamidou Dia 2010-09-13 15:47:25 UTC
*** Bug 614607 has been marked as a duplicate of this bug. ***

Comment 40 Hamidou Dia 2010-09-13 15:48:16 UTC
*** Bug 615166 has been marked as a duplicate of this bug. ***

Comment 41 Hamidou Dia 2010-09-13 15:50:49 UTC
*** Bug 632569 has been marked as a duplicate of this bug. ***

Comment 42 Hamidou Dia 2010-09-13 15:51:38 UTC
*** Bug 626290 has been marked as a duplicate of this bug. ***

Comment 43 Hamidou Dia 2010-09-13 15:52:35 UTC
*** Bug 625253 has been marked as a duplicate of this bug. ***

Comment 44 Hamidou Dia 2010-09-13 15:53:00 UTC
*** Bug 618989 has been marked as a duplicate of this bug. ***

Comment 45 Hamidou Dia 2010-09-13 15:54:15 UTC
*** Bug 618109 has been marked as a duplicate of this bug. ***

Comment 46 Hamidou Dia 2010-09-13 15:54:47 UTC
*** Bug 617451 has been marked as a duplicate of this bug. ***

Comment 47 Hamidou Dia 2010-09-13 15:55:22 UTC
*** Bug 616994 has been marked as a duplicate of this bug. ***

Comment 48 Hamidou Dia 2010-09-13 15:55:58 UTC
*** Bug 615168 has been marked as a duplicate of this bug. ***

Comment 49 Hamidou Dia 2010-09-13 15:56:28 UTC
*** Bug 615167 has been marked as a duplicate of this bug. ***

Comment 50 Rolle 2010-09-14 05:08:59 UTC
Package: compiz-0.8.6-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. just resize windows
2.
3.

Comment 51 Rolle 2010-09-14 05:09:35 UTC
Package: compiz-0.8.6-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. just resize windows
2.
3.

Comment 52 Gerhard 2010-09-14 09:11:56 UTC
Package: compiz-0.8.6-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Worked with rdesktop
2. Used clipboard to copy a huge textfile (about 3.6MB) from an remote windows machine (from wordpad) to my local computer (in gedit).

Comment 53 Gerhard 2010-09-14 09:15:20 UTC
As requested:
# lspci -nn|grep VGA
02:00.0 VGA compatible controller [0300]: nVidia Corporation G96 [Quadro FX 580] [10de:0659] (rev a1)
03:00.0 VGA compatible controller [0300]: nVidia Corporation G96 [Quadro FX 580] [10de:0659] (rev a1)

Comment 54 Gerhard 2010-09-14 10:28:06 UTC
Package: compiz-0.8.6-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
As before (Bug-ID: 595236) now compiz also crashed, as I resized an application.

Comment 55 Jay 2010-09-16 17:14:55 UTC
Package: compiz-0.8.6-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Visited https://ftg.lbl.gov/CheckpointRestart/CheckpointPapers.shtml
2. Started looking at a few PDF files
3. Crash

Comment 56 Misha Shnurapet 2010-09-19 13:11:25 UTC
Package: compiz-0.8.6-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Started resizing the Weather Applet window. Nouveau driver with experimental 3D on GeForce 7300GT.

Comment 57 Gerhard 2010-09-24 13:14:33 UTC
Package: compiz-0.8.6-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
I did nothing special. Worked with gnome-terminal, had my thunderbird and firefox open and was on the way to open the calculator.

Comment 58 Gerhard 2010-09-24 13:15:19 UTC
Package: compiz-0.8.6-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Just switched from the calculator to the gnome-terminal.

Comment 59 Gerhard 2010-10-11 11:08:54 UTC
Package: compiz-0.8.6-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Just started gnome-session.

Comment 60 Jay 2010-10-19 17:27:09 UTC
Package: compiz-0.8.6-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
No idea

Comment 61 Renich Bon Ciric 2010-10-25 07:05:27 UTC
Package: compiz-0.8.6-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Open libvirt manager
2. Start a Fedora 14 installation
3. try rezising the vnc while graphical installation going


Comment
-----
It dies every time. I had to reload the window manager using compiz-fusion icon's functionality

Comment 62 Gerhard 2010-11-10 08:56:58 UTC
Package: compiz-0.8.6-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Just resized a window.

Comment 63 Bug Zapper 2011-06-02 13:39:00 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 64 Bug Zapper 2011-06-27 16:36:09 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.